Bug 2094019

Summary: Missing LCE and CV label in CLI CDN configuration
Product: Red Hat Satellite Reporter: Radek Mynar <rmynar>
Component: Inter Satellite SyncAssignee: Lucy Fu <lufu>
Status: CLOSED ERRATA QA Contact: Ladislav Vasina <lvasina>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 6.11.0CC: lvasina
Target Milestone: 6.12.0Keywords: EasyFix, Triaged, UserExperience, WorkAround
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-11-16 13:34:13 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Radek Mynar 2022-06-06 15:04:55 UTC
Description of problem:
Satellite can be configured to use content from upstream Satellite - Network Sync. By default it pulls content from Library/Default_Organization_View. It can be also configured to pull content from specified Lifecycle Environment and Content View. This CDN configuration is visible in UI but in CLI (hammer organization info -> CDN configuration) LCE and CV are not visible.

Version-Release number of selected component (if applicable):

How reproducible:
always

Steps to Reproduce:
1. prepare an upstream satellite with organization, lifecycle environment and content view
2. configure downstream to use specified LCE and CV from upstream server
3. run "hammer organization info --name <downstream org>"

Actual results:
CDN configuration:     
    URL:                   https://<upstream_server>/
    Upstream Organization: <ExportOrg>
    Username:              <username>
    SSL CA Credential ID:  1

Expected results:
Output should include also LCE label, and CV label

Additional info:
Both values are configurable using "hammer organization configure-cdn ... (--upstream-lifecycle-environment-label | --upstream-content-view-label)" and also via UI, where both are visible.

Comment 1 Lucy Fu 2022-06-21 18:42:23 UTC
Created redmine issue https://projects.theforeman.org/issues/35092 from this bug

Comment 2 Bryan Kearney 2022-06-21 20:04:37 UTC
Upstream bug assigned to lufu

Comment 3 Bryan Kearney 2022-06-21 20:04:38 UTC
Upstream bug assigned to lufu

Comment 4 Bryan Kearney 2022-06-22 16:04:43 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/35092 has been resolved.

Comment 6 Ladislav Vasina 2022-09-19 12:28:31 UTC
VERIFIED
satellite-6.12.0-3.el8sat.noarch
foreman-3.3.0.8-1.el8sat.noarch
I have followed the steps in Comment0 and now hammer is showing LCE and CV in "hammer organization info --name <downstream org>" output.

Comment 10 errata-xmlrpc 2022-11-16 13:34:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.12 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:8506